import { ElementRef, EventEmitter } from '@angular/core';
export declare class TransactionLineCheckboxListComponent {
    scrollingItem: ElementRef;
    set collection(value: any[]);
    get collection(): any[];
    readonly: boolean;
    committing: boolean;
    checked: EventEmitter<any>;
    showClass: boolean;
    private _collection;
    private _promotedOnce;
    handleCheckboxChecked(checked: boolean, row: {
        value: string;
        text: string;
        checked: boolean;
    }): void;
    handleChecked(event: MouseEvent, row: {
        value: string;
        text: string;
        checked: boolean;
    }): void;
}
